Bug 477954 - Sound doesnt play with latest kernel update "2.6.27.9-159.fc10"
Sound doesnt play with latest kernel update "2.6.27.9-159.fc10"
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
urgent Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened, Triaged
: 477911 478351 478442 478473 480998 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-26 06:26 EST by Niranjan Mallapadi Raghavender
Modified: 2009-12-18 02:29 EST (History)
36 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:24:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
file2.6.27.7 - uname & gmesg (31.94 KB, application/x-troff-man)
2009-01-03 06:08 EST, ruslan
no flags Details
2.6.27.9 - uname&dmesg (32.02 KB, text/plain)
2009-01-03 06:10 EST, ruslan
no flags Details
diff 2.6.27.7 & 2.6.27.9 (6.01 KB, text/plain)
2009-01-03 06:11 EST, ruslan
no flags Details
dmesg lsmod uname and lspci outputs for 2.6.27.7-134 and 2.6.27.9-159 kernels (30.69 KB, application/x-zip-compressed)
2009-01-14 03:39 EST, Oleksandr
no flags Details

  None (edit)
Description Niranjan Mallapadi Raghavender 2008-12-26 06:26:08 EST
Description of problem:

On my Dell-D630 Laptop, Installed F-10 with With the latest Kernel Update "kernel-2.6.27.9-159.fc10.i686" The sound from Headphones jack doesn't work. Works with 2.6.27.7-134.fc10.i686.


The Sound device that have:
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)

Plays sound on normal speakers, but not on Headphones jack. But the issue is not reproducible with 2.6.27.7-134.fc10.i686


Version-Release number of selected component (if applicable):

kernel-2.6.27.9-159.fc10.i686

How reproducible:


Steps to Reproduce:
1. Update to latest kernel "2.6.27.9-159.fc10.i686" and boot the system with latest kernel
2. Play an sound using mplayer or other players 
3. You will not listen sound on Head Phones. 
  
Actual results:

No sound when using headphone jack

Expected results:

Sound should play when using headphone jack

Additional info:

 cat /etc/redhat-release 
Fedora release 10 (Cambridge)

lspci output
00:00.0 Host bridge: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub (rev 0c)
00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)
00:02.1 Display controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)
00:1a.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #4 (rev 02)
00:1a.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #5 (rev 02)
00:1a.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #2 (rev 02)
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)
00:1c.0 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1 (rev 02)
00:1c.1 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 2 (rev 02)
00:1c.5 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 6 (rev 02)
00:1d.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #3 (rev 02)
00:1d.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #1 (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev f2)
00:1f.0 ISA bridge: Intel Corporation 82801HEM (ICH8M) LPC Interface Controller (rev 02)
00:1f.1 IDE interface: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) IDE Controller (rev 02)
00:1f.2 SATA controller: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller (rev 02)
00:1f.3 SMBus: Intel Corporation 82801H (ICH8 Family) SMBus Controller (rev 02)
03:01.0 CardBus bridge: O2 Micro, Inc. Cardbus bridge (rev 21)
03:01.4 FireWire (IEEE 1394): O2 Micro, Inc. Firewire (IEEE 1394) (rev 02)
09:00.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5755M Gigabit Ethernet PCI Express (rev 02)
0c:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG Network Connection (rev 02

Dmidecode Output
# dmidecode 2.9
SMBIOS 2.4 present.
62 structures occupying 2879 bytes.
Table at 0x000F68F0.

Handle 0xDA00, DMI type 218, 251 bytes
OEM-specific Type
	Header and Data:
		DA FB 00 DA B2 00 0D 5F 1F 37 40 7D 00 00 00 00
		00 7E 00 02 00 00 00 40 00 04 00 01 00 41 00 04
		00 00 00 90 00 05 00 00 00 91 00 05 00 01 00 92
		00 05 00 02 00 65 00 06 00 00 00 66 00 06 00 01
		00 5E 00 07 00 01 00 5F 00 07 00 00 00 F1 00 08
		00 00 00 F2 00 08 00 01 00 F3 00 08 00 02 00 0F
		00 09 00 00 00 11 00 09 00 01 00 05 00 09 00 02
		00 12 00 09 00 03 00 06 00 09 00 04 00 07 00 0A
		00 00 00 0B 00 0A 00 01 00 0C 00 0A 00 02 00 0D
		00 0A 00 03 00 89 01 0B 00 00 00 8A 01 0B 00 01
		00 42 00 0C 00 01 00 43 00 0C 00 00 00 55 00 0D
		00 00 00 6D 00 0D 00 01 00 16 02 0D 00 02 00 98
		01 0D 00 03 00 0A 01 0E 00 01 00 0B 01 0E 00 00
		00 2D 00 0F 00 02 00 27 01 0F 00 03 00 6E 00 0F
		00 01 00 2E 00 0F 00 00 00 11 01 10 00 00 00 10
		01 10 00 01 00 FF FF 00 00 00 00

Handle 0xDA01, DMI type 218, 251 bytes
OEM-specific Type
	Header and Data:
		DA FB 01 DA B2 00 0D 5F 1F 37 40 F0 00 11 00 01
		00 ED 00 11 00 00 00 41 01 12 00 01 00 40 01 12
		00 00 00 47 01 13 00 01 00 46 01 13 00 00 00 4A
		01 14 00 00 00 4B 01 14 00 01 00 52 01 15 00 01
		00 53 01 15 00 00 00 80 01 16 00 01 00 7F 01 16
		00 00 00 7C 01 17 00 01 00 7B 01 17 00 00 00 7E
		01 18 00 01 00 7D 01 18 00 00 00 92 01 19 00 00
		00 91 01 19 00 01 00 94 01 1A 00 00 00 93 01 1A
		00 01 00 86 01 1B 00 01 00 85 01 1B 00 00 00 82
		01 1C 00 01 00 81 01 1C 00 00 00 84 01 1D 00 01
		00 83 01 1D 00 00 00 9B 01 1E 00 00 00 9C 01 1E
		00 01 00 9D 01 1E 00 02 00 9E 01 1E 00 03 00 8D
		01 1F 00 00 00 8E 01 1F 00 01 00 EA 00 20 00 00
		00 EB 00 20 00 01 00 EC 00 20 00 02 00 28 00 21
		00 00 00 29 00 21 00 01 00 2A 00 21 00 02 00 2B
		00 22 00 00 00 FF FF 00 00 00 00

Handle 0xDA02, DMI type 218, 251 bytes
OEM-specific Type
	Header and Data:
		DA FB 02 DA B2 00 0D 5F 1F 37 40 2C 00 23 00 00
		00 E7 00 24 00 01 00 E6 00 24 00 00 00 0E 01 25
		00 01 00 0F 01 25 00 00 00 9B 00 26 00 01 00 9C
		00 26 00 00 00 87 00 27 00 01 00 88 00 27 00 00
		00 4D 01 28 00 01 00 4C 01 28 00 00 00 51 01 29
		00 00 00 50 01 29 00 01 00 87 01 2A 00 00 00 88
		01 2A 00 01 00 01 01 2B 00 00 00 02 01 2B 00 01
		00 04 01 2B 00 02 00 37 01 2C 00 00 00 38 01 2C
		00 01 00 D9 01 2D 00 01 00 D8 01 2D 00 00 00 C1
		01 2E 00 00 00 C3 01 2E 00 01 00 C2 01 2E 00 02
		00 DF 01 2F 00 01 00 DE 01 2F 00 00 00 EA 01 30
		00 00 00 EB 01 30 00 01 00 EC 01 31 00 00 00 ED
		01 31 00 01 00 00 02 32 00 00 00 01 02 32 00 01
		00 45 01 45 01 01 00 44 01 44 01 00 00 00 80 00
		80 01 00 00 A0 00 A0 01 00 05 80 05 80 01 00 76
		01 76 01 01 00 FF FF 00 00 00 00

Handle 0xDA03, DMI type 218, 65 bytes
OEM-specific Type
	Header and Data:
		DA 41 03 DA B2 00 0D 5F 1F 37 40 75 01 75 01 01
		00 E3 01 E3 01 00 00 E1 01 E1 01 01 00 E2 01 E2
		01 02 00 01 F0 01 F0 00 00 02 F0 02 F0 00 00 03
		F0 03 F0 00 00 04 F0 04 F0 00 00 FF FF 00 00 00
		00

Handle 0x0000, DMI type 0, 24 bytes
BIOS Information
	Vendor: Dell Inc.
	Version: A02
	Release Date: 06/07/2007
	Address: 0xF0000
	Runtime Size: 64 kB
	ROM Size: 2048 kB
	Characteristics:
		ISA is supported
		PCI is supported
		PC Card (PCMCIA) is supported
		PNP is supported
		BIOS is upgradeable
		BIOS shadowing is allowed
		Boot from CD is supported
		Selectable boot is supported
		3.5"/720 KB floppy services are supported (int 13h)
		Print screen service is supported (int 5h)
		8042 keyboard services are supported (int 9h)
		Serial services are supported (int 14h)
		Printer services are supported (int 17h)
		CGA/mono video services are supported (int 10h)
		ACPI is supported
		USB legacy is supported
		AGP is supported
		Smart battery is supported
		BIOS boot specification is supported
		Function key-initiated network boot is supported
		Targeted content distribution is supported
	BIOS Revision: 0.2
	Firmware Revision: 0.2

Handle 0x0100, DMI type 1, 27 bytes
System Information
	Manufacturer: Dell Inc.
	Product Name: Latitude D630                   
	Version: Not Specified
	Serial Number: HR4BQ1S
	UUID: 44454C4C-5200-1034-8042-C8C04F513153
	Wake-up Type: Power Switch
	SKU Number: Not Specified
	Family:  

Handle 0x0200, DMI type 2, 9 bytes
Base Board Information
	Manufacturer: Dell Inc.
	Product Name: 0KU184
	Version:    
	Serial Number: .HR4BQ1S.CN1296176EB84B.

Handle 0x0300, DMI type 3, 13 bytes
Chassis Information
	Manufacturer: Dell Inc.
	Type: Portable
	Lock: Not Present
	Version: Not Specified
	Serial Number: HR4BQ1S
	Asset Tag: Not Specified
	Boot-up State: Safe
	Power Supply State: Safe
	Thermal State: Safe
	Security Status: None

Handle 0x0301, DMI type 3, 13 bytes
Chassis Information
	Manufacturer: Dell Inc.
	Type: Docking Station
	Lock: Not Present
	Version: Not Specified
	Serial Number: 00C0015577F8
	Asset Tag: Not Specified
	Boot-up State: Safe
	Power Supply State: Safe
	Thermal State: Safe
	Security Status: None

Handle 0x0400, DMI type 4, 40 bytes
Processor Information
	Socket Designation: Microprocessor
	Type: Central Processor
	Family: <OUT OF SPEC>
	Manufacturer: Intel
	ID: FD 06 00 00 FF FB EB BF
	Version: Not Specified
	Voltage: 3.3 V
	External Clock: 200 MHz
	Max Speed: 1800 MHz
	Current Speed: 1800 MHz
	Status: Populated, Enabled
	Upgrade: None
	L1 Cache Handle: 0x0700
	L2 Cache Handle: 0x0701
	L3 Cache Handle: Not Provided
	Serial Number: Not Specified
	Asset Tag: Not Specified
	Part Number: Not Specified
	Core Count: 2
	Core Enabled: 2
	Thread Count: 2
	Characteristics:
		64-bit capable

Handle 0x0700, DMI type 7, 19 bytes
Cache Information
	Socket Designation: Not Specified
	Configuration: Enabled, Not Socketed, Level 1
	Operational Mode: Write Back
	Location: Internal
	Installed Size: 32 KB
	Maximum Size: 32 KB
	Supported SRAM Types:
		Unknown
	Installed SRAM Type: Unknown
	Speed: Unknown
	Error Correction Type: None
	System Type: Data
	Associativity: 4-way Set-associative

Handle 0x0701, DMI type 7, 19 bytes
Cache Information
	Socket Designation: Not Specified
	Configuration: Enabled, Not Socketed, Level 2
	Operational Mode: Varies With Memory Address
	Location: Internal
	Installed Size: 2048 KB
	Maximum Size: 2048 KB
	Supported SRAM Types:
		Pipeline Burst
	Installed SRAM Type: Pipeline Burst
	Speed: 15 ns
	Error Correction Type: None
	System Type: Unified
	Associativity: Other

Handle 0x0800, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: PARALLEL
	Internal Connector Type: None
	External Reference Designator: Not Specified
	External Connector Type: DB-25 female
	Port Type: Parallel Port PS/2

Handle 0x0801, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: SERIAL1
	Internal Connector Type: None
	External Reference Designator: Not Specified
	External Connector Type: DB-9 male
	Port Type: Serial Port 16550A Compatible

Handle 0x0803, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: PS/2
	Internal Connector Type: None
	External Reference Designator: Not Specified
	External Connector Type: Mini DIN
	Port Type: Mouse Port

Handle 0x0804, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: USB
	Internal Connector Type: None
	External Reference Designator: Not Specified
	External Connector Type: Access Bus (USB)
	Port Type: USB

Handle 0x0805, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: USB
	Internal Connector Type: None
	External Reference Designator: Not Specified
	External Connector Type: Access Bus (USB)
	Port Type: USB

Handle 0x0806, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: MONITOR
	Internal Connector Type: None
	External Reference Designator: Not Specified
	External Connector Type: DB-15 female
	Port Type: Video Port

Handle 0x0808, DMI type 126, 9 bytes
Inactive

Handle 0x080A, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: S-Video
	Internal Connector Type: None
	External Reference Designator: Not Specified
	External Connector Type: Mini DIN
	Port Type: Video Port

Handle 0x080B, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: FireWire
	Internal Connector Type: None
	External Reference Designator: Not Specified
	External Connector Type: IEEE 1394
	Port Type: Firewire (IEEE P1394)

Handle 0x080C, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: Modem
	Internal Connector Type: None
	External Reference Designator: Not Specified
	External Connector Type: RJ-11
	Port Type: Modem Port

Handle 0x080D, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: Ethernet
	Internal Connector Type: None
	External Reference Designator: Not Specified
	External Connector Type: RJ-45
	Port Type: Network Port

Handle 0x0900, DMI type 9, 13 bytes
System Slot Information
	Designation: PCMCIA 0
	Type: 32-bit PC Card (PCMCIA)
	Current Usage: Available
	Length: Other
	ID: Adapter 0, Socket 0
	Characteristics:
		5.0 V is provided
		3.3 V is provided
		PC Card-16 is supported
		Cardbus is supported
		Zoom Video is supported
		Modem ring resume is supported

Handle 0x0902, DMI type 126, 13 bytes
Inactive

Handle 0x0A00, DMI type 10, 6 bytes
On Board Device Information
	Type: Video
	Status: Enabled
	Description: Intel Crestline Graphics      

Handle 0x0A01, DMI type 10, 6 bytes
On Board Device Information
	Type: Sound
	Status: Enabled
	Description: Sigmatel 9205

Handle 0x0B00, DMI type 11, 5 bytes
OEM Strings
	String 1: Dell System
	String 2: 5[0003]
	String 3: 13[PP18L]

Handle 0x0D00, DMI type 13, 22 bytes
BIOS Language Information
	Installable Languages: 1
		en|US|iso8859-1
	Currently Installed Language: en|US|iso8859-1

Handle 0x1000, DMI type 16, 15 bytes
Physical Memory Array
	Location: System Board Or Motherboard
	Use: System Memory
	Error Correction Type: None
	Maximum Capacity: 4 GB
	Error Information Handle: Not Provided
	Number Of Devices: 2

Handle 0x1100, DMI type 17, 27 bytes
Memory Device
	Array Handle: 0x1000
	Error Information Handle: Not Provided
	Total Width: 64 bits
	Data Width: 64 bits
	Size: 1024 MB
	Form Factor: DIMM
	Set: None
	Locator: DIMM_A
	Bank Locator: Not Specified
	Type: DDR
	Type Detail: Synchronous
	Speed: 667 MHz (1.5 ns)
	Manufacturer: AD00000000000000
	Serial Number: 04008287
	Asset Tag: 410719
	Part Number: HYMP512S64BP8-Y5  

Handle 0x1101, DMI type 17, 27 bytes
Memory Device
	Array Handle: 0x1000
	Error Information Handle: Not Provided
	Total Width: 64 bits
	Data Width: 64 bits
	Size: 1024 MB
	Form Factor: DIMM
	Set: None
	Locator: DIMM_B
	Bank Locator: Not Specified
	Type: DDR
	Type Detail: Synchronous
	Speed: 667 MHz (1.5 ns)
	Manufacturer: CE00000000000000
	Serial Number: 110DE489
	Asset Tag: 450722
	Part Number: M4 70T2953EZ3-CE6 

Handle 0x1301, DMI type 19, 15 bytes
Memory Array Mapped Address
	Starting Address: 0x00000000000
	Ending Address: 0x0007FFFFFFF
	Range Size: 2 GB
	Physical Array Handle: 0x1000
	Partition Width: 0

Handle 0x1401, DMI type 20, 19 bytes
Memory Device Mapped Address
	Starting Address: 0x00000000000
	Ending Address: 0x0007FFFFFFF
	Range Size: 2 GB
	Physical Device Handle: 0x1100
	Memory Array Mapped Address Handle: 0x1301
	Partition Row Position: 1
	Interleave Position: 1
	Interleaved Data Depth: 8

Handle 0x1411, DMI type 126, 19 bytes
Inactive

Handle 0x1402, DMI type 20, 19 bytes
Memory Device Mapped Address
	Starting Address: 0x00000000000
	Ending Address: 0x0007FFFFFFF
	Range Size: 2 GB
	Physical Device Handle: 0x1101
	Memory Array Mapped Address Handle: 0x1301
	Partition Row Position: 1
	Interleave Position: 2
	Interleaved Data Depth: 8

Handle 0x1412, DMI type 126, 19 bytes
Inactive

Handle 0x1500, DMI type 21, 7 bytes
Built-in Pointing Device
	Type: Touch Pad
	Interface: Bus Mouse
	Buttons: 2

Handle 0x1600, DMI type 22, 26 bytes
Portable Battery
	Location: Sys. Battery Bay
	Manufacturer: SMP             
	Name: DELL KP43375    
	Design Capacity: 52000 mWh
	Design Voltage: 11100 mV
	SBDS Version: 1.0
	Maximum Error: 2%
	SBDS Serial Number: 08FD
	SBDS Manufacture Date: 2007-05-22
	SBDS Chemistry: LION            
	OEM-specific Information: 0x00000001

Handle 0x1601, DMI type 126, 26 bytes
Inactive

Handle 0x1602, DMI type 126, 26 bytes
Inactive

Handle 0x1B00, DMI type 27, 12 bytes
Cooling Device
	Type: Fan
	Status: OK
	OEM-specific Information: 0x0000DD00

Handle 0x1C00, DMI type 28, 20 bytes
Temperature Probe
	Description: CPU Internal Temperature
	Location: Processor
	Status: OK
	Maximum Value: 127.0 deg C
	Minimum Value 0.0 deg C
	Resolution: 1.000 deg C
	Tolerance: 0.5 deg C
	Accuracy: Unknown
	OEM-specific Information: 0x0000DC00

Handle 0x2000, DMI type 32, 11 bytes
System Boot Information
	Status: No errors detected

Handle 0xB000, DMI type 176, 5 bytes
OEM-specific Type
	Header and Data:
		B0 05 00 B0 00

Handle 0xB100, DMI type 177, 12 bytes
OEM-specific Type
	Header and Data:
		B1 0C 00 B1 07 00 00 00 00 00 00 00

Handle 0xB200, DMI type 178, 6 bytes
OEM-specific Type
	Header and Data:
		B2 06 00 B2 99 99

Handle 0xD000, DMI type 208, 10 bytes
OEM-specific Type
	Header and Data:
		D0 0A 00 D0 01 04 FE 00 F9 01

Handle 0xD100, DMI type 209, 12 bytes
OEM-specific Type
	Header and Data:
		D1 0C 00 D1 00 00 00 03 04 07 80 05

Handle 0xD200, DMI type 210, 12 bytes
OEM-specific Type
	Header and Data:
		D2 0C 00 D2 F8 03 04 03 06 80 04 05

Handle 0xD800, DMI type 216, 9 bytes
OEM-specific Type
	Header and Data:
		D8 09 00 D8 01 03 01 F0 03
	Strings:
		Intel Corp.          
		 
		1466                  
		  

Handle 0xD900, DMI type 217, 8 bytes
OEM-specific Type
	Header and Data:
		D9 08 00 D9 01 02 01 03
	Strings:
		US-101
		Proprietary

Handle 0xDB00, DMI type 219, 9 bytes
OEM-specific Type
	Header and Data:
		DB 09 00 DB 03 01 02 03 FF
	Strings:
		System Device Bay
		Floppy, Battery, CD-ROM, CD-RW, DVD, DVD+RW, DVD+/-RW, Hard Disk, BLU-RAY
		CDRW+DVD  

Handle 0xDB80, DMI type 126, 9 bytes
Inactive

Handle 0xDB81, DMI type 219, 9 bytes
OEM-specific Type
	Header and Data:
		DB 09 81 DB 03 01 02 03 FF
	Strings:
		Dock DBay
		Floppy, CD-ROM, CD-RW, DVD, DVD+RW, DVD+/-RW, Hard Disk
		EMPTY     

Handle 0x8100, DMI type 129, 8 bytes
OEM-specific Type
	Header and Data:
		81 08 00 81 01 01 02 01
	Strings:
		Intel_ASF
		Dell_ASF_001

Handle 0xDC00, DMI type 220, 22 bytes
OEM-specific Type
	Header and Data:
		DC 16 00 DC 01 F0 00 00 02 F0 00 00 00 00 03 F0
		04 F0 00 00 00 00

Handle 0xDD00, DMI type 221, 19 bytes
OEM-specific Type
	Header and Data:
		DD 13 00 DD 00 00 00 00 00 00 00 00 00 00 00 00
		00 00 00

Handle 0xD400, DMI type 212, 47 bytes
OEM-specific Type
	Header and Data:
		D4 2F 00 D4 74 00 75 00 00 10 2D 2E 5C 00 78 BF
		40 5D 00 78 BF 00 2D 01 1D EF 10 2E 01 1D EF 00
		08 00 1D DF 00 03 00 1D DF 00 FF FF 00 00 00

Handle 0xD401, DMI type 212, 17 bytes
OEM-specific Type
	Header and Data:
		D4 11 01 D4 74 00 75 00 03 40 49 4A FF FF 00 00
		00

Handle 0xDE00, DMI type 222, 16 bytes
OEM-specific Type
	Header and Data:
		DE 10 00 DE 01 02 FF FF 00 00 00 00 00 00 00 01

Handle 0x7F00, DMI type 127, 4 bytes
End Of Table
Comment 1 Niranjan Mallapadi Raghavender 2008-12-26 06:28:16 EST
A similar bug was filed earlier "https://bugzilla.redhat.com/show_bug.cgi?id=475251". As per the commnent#6  some users have found the same issue with "2.6.27.9-159.fc10" so filing a new bug for this kernel update.
Comment 2 Tushar Gandotra 2008-12-26 06:32:56 EST
using kernel version 2.6.27.9-159.fc10.i686 on dell D630 and i am not getting any sound at all.
Comment 3 Tarjei Knapstad 2008-12-28 10:20:33 EST
Same thing here with a Dell Precision M65 

00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 01)

cat /proc/asound/card0/codec#0 |grep Codec
Codec: SigmaTel STAC9200
Comment 4 Gianluca Varisco 2008-12-30 02:46:55 EST
*** Bug 478442 has been marked as a duplicate of this bug. ***
Comment 5 Gianluca Varisco 2008-12-30 02:53:38 EST
Guys,

Any of you available to test the latest koji build (2.6.27.10-167) that hopefully includes this fix as per Chuck's changelog:

* Mon Dec 22 2008 Chuck Ebbert <cebbert@redhat.com> 2.6.27.10-166
- Hopefully fix broken headphone output on some Dell notebooks.

If yes, here we are: http://koji.fedoraproject.org/koji/buildinfo?buildID=76110
Comment 6 Felix Schwarz 2008-12-30 03:11:12 EST
Gianluca: I tried installing 2.6.27.10-167 but it does not even boot for me ('mount: error mounting /dev/root on /sysroot as ext3: invalid argument'). I installed only kernel-2.6.27.10-167.fc10.x86_64 and kernel-firmware-2.6.27.10-167.fc10.noarch from koji (otherwise plain F10 x86_64). Probably it needs some more infrastructure RPMs?

My fstab is pretty boring:
/dev/f10/system         /                       ext3    defaults,relatime   1 1
...
Comment 7 Niranjan Mallapadi Raghavender 2008-12-30 04:26:59 EST
Greetings,

I installed the kernel-2.6.27.10-167.fc10.i686 rpm sucessfully and booted the system. But the issue still remains. i.e i am able to hear sound on normal speakers (as in, not external speakers but the one which is inbuilt with 630 laptop. i am not aware of the exact technical term.) , but if i connect headphone jack, i am not able to hear from the headphones. 

can you let us know any specific commands of "alsa", to provide you more 

Below is my alsa-info information
http://www.alsa-project.org/db/?f=fb092ea15c606fffaeb3efda352958ebcdee241a
Comment 8 Adrin Jalali 2008-12-30 04:35:46 EST
I updated to that koji kernel, it boots for me (i686). I updated all modules but it
still has no sound on headphone. I have Dell Inspiron 6400.
Comment 9 Tarjei Knapstad 2008-12-30 06:36:38 EST
(In reply to comment #5)
> Guys,
> 
> Any of you available to test the latest koji build (2.6.27.10-167) that
> hopefully includes this fix as per Chuck's changelog:
> 
> * Mon Dec 22 2008 Chuck Ebbert <cebbert@redhat.com> 2.6.27.10-166
> - Hopefully fix broken headphone output on some Dell notebooks.
> 
> If yes, here we are: http://koji.fedoraproject.org/koji/buildinfo?buildID=76110

Still the same problem here as well, plugging in the headphones mutes everything. (Dell Precision M65 with the STAC9200 chip)

I'm happy to test more kernels from Koji, so let us know if there are any further developments. Also, can we provide any debug info on this issue?
Comment 10 Nitin Bansal 2008-12-30 06:41:15 EST
same results on my Dell Latitude D620.
Comment 11 ruslan 2009-01-03 06:08:54 EST
Created attachment 328101 [details]
file2.6.27.7 - uname & gmesg

kernel 2.6.27.7
Comment 12 ruslan 2009-01-03 06:10:08 EST
Created attachment 328102 [details]
2.6.27.9 - uname&dmesg
Comment 13 ruslan 2009-01-03 06:11:24 EST
Created attachment 328103 [details]
diff 2.6.27.7 & 2.6.27.9
Comment 14 ruslan 2009-01-03 06:15:47 EST
have F8, which is updated to F9, which is updated to rawhide, updated to F10. Use the kernel 2.6.27.7-134.fc10.i686: the sound was (using PA). Updated kernel before 2.6.27.9-159.fc10.i686 - and now no sound
Comment 15 H.J. Lu 2009-01-03 17:42:41 EST
*** Bug 477911 has been marked as a duplicate of this bug. ***
Comment 16 H.J. Lu 2009-01-03 17:43:23 EST
*** Bug 478351 has been marked as a duplicate of this bug. ***
Comment 17 H.J. Lu 2009-01-03 17:43:48 EST
*** Bug 478473 has been marked as a duplicate of this bug. ***
Comment 18 H.J. Lu 2009-01-03 18:09:57 EST
From

https://bugzilla.redhat.com/show_bug.cgi?id=478351#c3

Ok, i tried diffrent kernels, soud worked until 2.6.27.7-137 and stop working
with 2.6.27.8-143 , biggest candidate for stop working new alsa in my opinion.
Comment 19 Enrico Defranchi 2009-01-03 18:55:44 EST
using latest alsa snapshot from atrpms restore sound on my dell latitude d830 on kernel 2.6.27.9-159 , further indicating alsa problem
Comment 20 Jörg Prante 2009-01-04 06:22:31 EST
I would blame it an Alsa, the release 1.0.18a seems to be broken for Dell notebooks. 

The latest Alsa snapshot driver of Takashi Iwai is at

ftp://ftp.kernel.org/pub/linux/kernel/people/tiwai/snapshot/alsa-driver-snapshot.tar.gz

Can somebody pick it up and test it if it works? Maybe a suitable fix is already included in the current snapshot.

If it does, please let the Alsa team know that a new Alsa driver release is needed.
Comment 21 Alfredo Ferrari 2009-01-04 09:17:55 EST
Bug 477911 has been marked as a duplicate of this one, even though it was older, concerning other malfunctions than simply the headphones, and much more detailed...
Anyway, could somebody at fedora start to look seriously into the mess they made releasing a "security" update containing an untested Alsa version instead of pin-poing the bugs? An interim kernel update reverting to the previous alsa version would be a temporary solution: doing nothing it is not, if there are really security issues in the switch 134->159.
Comment 22 H.J. Lu 2009-01-04 11:27:29 EST
I think ALSA 1.0.18a is broken for snd_hda_intel:

http://n2.nabble.com/F10:-new-kernel-breaks-audio-(snd-hda-intel)-td1923470.html

The problems range from headphone to no sound at all.
Comment 23 Suren Karapetyan 2009-01-04 14:29:03 EST
(In reply to comment #22)
> I think ALSA 1.0.18a is broken for snd_hda_intel:
> 
> http://n2.nabble.com/F10:-new-kernel-breaks-audio-(snd-hda-intel)-td1923470.html
> 
> The problems range from headphone to no sound at all.

It look like it's not just snd_hda_intel.
Look at this comment: https://bugzilla.redhat.com/show_bug.cgi?id=477911#c25
It more looks like a jack-sensing-related problem.
Anyway.. I've just tried the newest koji build 2.6.27.10-167 and also alsa-kmdl-2.6.27.9-159.fc10-1.0.18a.snap-74.fc10.x86_64.rpm from atrpms with negative results, so no, it's not fixed/waiting in testing/rawhide/upstream.
Comment 24 Nils Philippsen 2009-01-07 08:07:20 EST
(In reply to comment #23)

> Anyway.. I've just tried the newest koji build 2.6.27.10-167 and also
> alsa-kmdl-2.6.27.9-159.fc10-1.0.18a.snap-74.fc10.x86_64.rpm from atrpms with
> negative results, so no, it's not fixed/waiting in testing/rawhide/upstream.

It works for me with kernel 2.6.27.9-159.fc10.x86_64 and alsa-kmdl-2.6.27.9-159.fc10-1.0.18a.snap-74.fc10.x86_64. Mind that you have to unload/reload the sound modules, though.
Comment 25 Alfredo Ferrari 2009-01-07 09:08:41 EST
It doesn't work for me with kernel 2.6.27.9-159.fc10.i686.PAE and
alsa-kmdl-2.6.27.9-159.fc10.PAE-1.0.18a.snap-74.fc10.i686.
Or better, below a full description (if it can be of help):

a) rebooted, now two new sliders appear in alsamixer -c0: internal speaker
   (muted before even with 2.6.27.7-134.fc10.i686.PAE) and speakers
b) setting all volumes to max (already 80% of max is almost inaudible, and this
   is a (minor) bug) both the speakers and the headphone (and the internal beep)
   work! So far so good, but...
c) playing with gnome-volume-control crashes the application most of the time...
d) ... worse, whichever operation supposed to emit a system sound (eg opening
   a new window etc) hangs forever often at the first attempt. No way to
   recover a functional desktop (gnome in my case), even the menu icons do no
   longer work, -> no way to logout, only ctrl+alt+backspace saves the day

These issues can be reliably reproduced with multiple reboots.

Removing alsa-kmdl-2.6.27.9-159.fc10.PAE-1.0.18a.snap-74.fc10.i686 breaks the sound obviously, rebooting on 2.6.27.7-134.fc10.i686.PAE makes the sound work again (with the exception of the internal beep)

In summary, a nice attempt, some progress (btw many thanks to the ATrpms guys
for the valuable effort), still far from being usable. This of course for my laptop, a Dell D830, with:

 cat /proc/asound/card0/codec#*
Codec: SigmaTel STAC9205
Address: 0
Vendor Id: 0x838476a0
Subsystem Id: 0x102801fe
Revision Id: 0x100204
No Modem Function Group found
...
Comment 26 Matthias R. Wiora 2009-01-10 06:24:40 EST
Hello,

I've the same problems with

$ cat /proc/version
Linux version 2.6.27.9-159.fc10.i686.PAE (mockbuild@x86-3.fedora.phx.redhat.com) (gcc version 4.3.2 20081105 (Red Hat 4.3.2-7) (GCC) ) #1 SMP Tue Dec 16 14:59:37 EST 2008


Mainboard (integrated soundcard): MSI K9A Platinum
http://www.alsa-project.org/db/?f=83...918a7991e75cb2

Mainboard (integrated soundcard): ASUS A8N-SLI Premium
http://www.alsa-project.org/db/?f=47...340d084d008444

Notebook: Dell D830
http://www.alsa-project.org/db/?f=56...d64adcc0f03ec4

Every change in Soundcard-Options / Mixer does re-wakeup the sound.
Further I cannot find the "alsa-kmdl"-Package...
any idea?
pmb µatthias
Comment 27 Matthias R. Wiora 2009-01-10 06:27:21 EST
sry. please conduct.

Mainboard (integrated soundcard): MSI K9A Platinum
[url]http://www.alsa-project.org/db/?f=83e495c10d5be1d4d4c7eb022f918a7991e75cb2[/url]

Mainboard (integrated soundcard): ASUS A8N-SLI Premium
[url]http://www.alsa-project.org/db/?f=47240057d4cf215f92c0546961340d084d008444[/url]

Notebook: Dell D830
[url]http://www.alsa-project.org/db/?f=5618fa0f22062b571a67d26ec2d64adcc0f03ec4[/url]
Comment 28 Samuel Audet 2009-01-13 10:27:06 EST
I posted a fix here:
https://bugzilla.redhat.com/show_bug.cgi?id=477911
Comment 29 Suren Karapetyan 2009-01-13 12:12:19 EST
(In reply to comment #28)
> I posted a fix here:
> https://bugzilla.redhat.com/show_bug.cgi?id=477911

No help of it here: hp dv5-1145e HDA IDT
No sound at all.
It's 3 weeks already and still no info/anything from kernel team@redhat
Comment 30 Kirk Harrison 2009-01-13 13:53:16 EST
On bootup I have no audio. Strangely though, if I momentarily plug in some headphones and then unplug them, audio is then restored to my main speakers.
(Audio through the headphones remains dead though.)
When I reboot, again no audio until I insert and remove headphones. Then audio is fine.

I have rebooted and retested with the same result.

Weird???

--------------------------------------------------------------------------
Dell Precision M6300 (dual boot Fedora-10 / Vista-64)
kernel: 2.6.27.9-159.fc10.x86_64

% rpm -q --all | grep alsa
alsa-lib-1.0.18-6.rc3.fc10.x86_64
bluez-alsa-4.22-2.fc10.x86_64
alsa-plugins-pulseaudio-1.0.18-2.fc10.i386
alsa-utils-1.0.18-6.fc10.x86_64
alsa-lib-devel-1.0.18-6.rc3.fc10.x86_64
alsa-lib-1.0.18-6.rc3.fc10.i386
alsa-plugins-pulseaudio-1.0.18-2.fc10.x86_64

% lspci
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)
	Subsystem: Dell Device 01f8
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 21
	Region 0: Memory at f6ffc000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: HDA Intel
	Kernel modules: snd-hda-intel
Comment 31 Nick 2009-01-13 14:57:30 EST
Hi.  Dell Latitude D630 here, running Fedora 9 x86_64.  I have the same issue with headphone jack sensing as the other folks.

Simply rolling back to kernel 2.6.27.7-53.fc9 fixed it for me on my Latitude.

And as it turns out, my dimension E521 has the exact same issue.  Heh. Both cards use snd-hda-intel as their driver.

The alsa-info.sh output for the Latitude D630 is here:

http://www.alsa-project.org/db/?f=bbb2cf8488572c0f61eaf1ca2466cf247d21aaab

The alsa-info.sh output for the Dimension E521 is here:

http://www.alsa-project.org/db/?f=314815e847c5ad3f4357faf65abf4dd20b1bd23a

HTH
Comment 32 Samuel Audet 2009-01-13 20:15:33 EST
The maintainer of the hda-intel driver recently added lengthy documentation about issues with this driver

http://ftp.kernel.org/pub/linux/kernel/people/tiwai/docs/HD-Audio.html

I guess we should peel this out and see if there is anything that can help debug this..
Comment 33 Bas Mevissen 2009-01-14 03:15:55 EST
For now, a new kernel release should be made with the alsa-driver version rolled back to the previous one. Otherwise, people will run into these issues due to an regular update.
Comment 34 Oleksandr 2009-01-14 03:39:18 EST
Created attachment 328958 [details]
dmesg lsmod uname and lspci outputs for 2.6.27.7-134 and 2.6.27.9-159 kernels

I have same problem on my desktop pc
sound works with 2.6.27.7-134 kernel and fails to work with 2.6.27.9-159 i686 kernel

Attached archive contains outputs of dmesg lsmod uname and lspci
2.6.27.9-159
uname.1.log dmesg.1.log lsmod.1.log lspci.1.log

2.6.27.7-134
uname.2.log dmesg.2.log lsmod.2.log lspci.2.log
Comment 35 Samuel Audet 2009-01-14 05:02:01 EST
Bas, I tried to use ALSA 1.0.17 with newer Fedora kernels, and it doesn't work.. I get a big bad kernel panic, well not that bad, but basically, the kernel unloads the driver before it panics..

I agree though, 1.0.18 was a mistake.. they should have waited and renamed it 1.1. There is just too many changes in this version for any hope of stability in the near future.
Comment 36 Matthias R. Wiora 2009-01-14 07:40:37 EST
hmmm... I tried the trick with the headphones...
If I plug in the headphones... no sound (over the headphones)
If I plug out the headphones I get my Sound back... But only the left side...
right is dead.

µatthias
Please comment some possibilities to debug... (except of already collected data with alsa-info) We'd like to help, the problem get resolved faster...
Comment 37 Christopher Tubbs 2009-01-16 00:42:28 EST
(In reply to comment #33)
> For now, a new kernel release should be made with the alsa-driver version
> rolled back to the previous one. Otherwise, people will run into these issues
> due to an regular update.

Excellent idea. I concur, as this is how I encountered the problem.
Comment 38 Aditya Kadambi 2009-01-16 15:14:29 EST
Well, I filed this bug a long time ago. I haven't had sound for a long time.

https://bugzilla.redhat.com/show_bug.cgi?id=475251

I filed a similar report at ALSA project:

https://bugtrack.alsa-project.org/alsa-bug/view.php?id=4321
Comment 39 Michal Jaegermann 2009-01-16 20:26:30 EST
It appears that I may have yet another variation of this breakage.  EeePC 1002HA with "Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller" and clearly snd_hda_intel.  A sound appears to be there but you really have to strain your ears to hear anything with a volume at maximum.

'modinfo snd_hda_intel' shows a long list of options.  Maybe some of that will help once I will find out what values are acceptable/recommended?
Comment 40 Michal Jaegermann 2009-01-16 21:14:32 EST
Hm, maybe I was a bit hasty writing the last comment.  Playing with a volume control application, and with PCM slider at the max, boosting "LineOut" control too to 100% brought sound into an audible range. That with a default "HDA Intel (Alsa mixer)".

BTW - lock on "LineOut" sliders breaks all the time on its own so both sliders
really have to be pushed up separately.
Comment 41 Michal Jaegermann 2009-01-16 21:16:42 EST
Opps!  Just to be clear.  Comment 39 and comment 40 are for just installed Fedora 10 running 2.6.27.9-159.fc10.i686 kernels.
Comment 42 Christoph Walter 2009-01-21 03:29:26 EST
Anybody working on this? I see the status as still "NEW" so I guess all the kernel-maintainers are out for holidays?
The strange thing is that "speaker-test -Dhw:0,0 -c2 -t wav" seams to work on my laptop but I can't hear anything (taken from bug #4321 from the alsa-project see comment #38):

% speaker-test -Dhw:0,0 -c2 -t wav                     

speaker-test 1.0.18

Playback device is hw:0,0
Stream parameters are 48000Hz, S16_LE, 2 channels
WAV file(s)
Rate set to 48000Hz (requested 48000Hz)
Buffer size range from 64 to 16384
Period size range from 32 to 8192
Using max buffer size 16384
Periods = 4
was set period_size = 4096
was set buffer_size = 16384
 0 - Front Left
 1 - Front Right
Time per period = 2.733749
 0 - Front Left
 1 - Front Right
Time per period = 3.071509
 0 - Front Left
 1 - Front Right
Time per period = 2.986562
 0 - Front Left
 1 - Front Right
^C


% uname -r
2.6.27.9-159.fc10.i686.PAE

% cat /etc/redhat-release 
Fedora release 10 (Cambridge)

% rpm -qa|grep ^alsa|sort
alsa-firmware-1.0.17-1.fc10.noarch
alsa-lib-1.0.18-6.rc3.fc10.i386
alsa-lib-devel-1.0.18-6.rc3.fc10.i386
alsamixergui-0.9.0-0.4.rc1.fc9.2.i386
alsa-oss-1.0.17-1.fc10.i386
alsa-oss-libs-1.0.17-1.fc10.i386
alsa-plugins-pulseaudio-1.0.18-2.fc10.i386
alsa-tools-firmware-1.0.17-1.fc10.i386
alsa-utils-1.0.18-6.fc10.i386

% lspci
...
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)
...

% dmesg
...
HDA Intel 0000:00:1b.0: PCI INT A -> GSI 21 (level, low) -> IRQ 21
HDA Intel 0000:00:1b.0: setting latency timer to 64
ALSA sound/pci/hda/hda_codec.c:3303: autoconfig: line_outs=1 (0xd/0x0/0x0/0x0/0x0)
ALSA sound/pci/hda/hda_codec.c:3307:    speaker_outs=0 (0x0/0x0/0x0/0x0/0x0)
ALSA sound/pci/hda/hda_codec.c:3311:    hp_outs=1 (0xa/0x0/0x0/0x0/0x0)
ALSA sound/pci/hda/hda_codec.c:3312:    mono: mono_out=0x0
ALSA sound/pci/hda/hda_codec.c:3320:    inputs: mic=0xb, fmic=0xc, line=0x0, fline=0x0, cd=0x0, aux=0x0
ALSA sound/pci/hda/patch_sigmatel.c:2778: dac_nids=1 (0x10/0x0/0x0/0x0/0x0)
input: HDA Intel at 0xf6ffc000 irq 21 Mic at Ext Left Jack as /devices/pci0000:00/0000:00:1b.0/input/input14
input: HDA Intel at 0xf6ffc000 irq 21 HP Out at Ext Left Jack as /devices/pci0000:00/0000:00:1b.0/input/input15
...
Comment 43 Fedora Update System 2009-01-21 11:16:13 EST
kernel-2.6.27.12-170.2.5.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/kernel-2.6.27.12-170.2.5.fc10
Comment 44 Jason Farrell 2009-01-21 15:38:31 EST
hp dv5 affected. will test update later tonight.
Comment 45 Suren Karapetyan 2009-01-21 15:52:23 EST
kernel-2.6.27.12-170.2.5.fc10 fixes sound in my case (hp dv5 with IDT codec).
The new ALSA needs to pass some testing in rawhide before it can be shipped in a stable version.

I'd like to thank those who worked on this, but also would like to note some problems too.
After getting like 30 reports in 48 hours after ALSA update was pushed everybody with half a brain understood that we had problems with it.
And after 1 week of trying various versions of trunk ALSA (thanks to atrpms for the rpms) it was clear we couldn't fix the new ALSA in a few days.
Yet it took almost a month (more like ~28 days) for the revert to happen.
Also note the complete lack of input in this report from anyone from kernel team.

This brings the idea of creating some sort of update policy which should try to avoid mistakes like this as much as possible and find a quick fix when a mistake is made.

Everyone should understand that Fedora is supposed to be bleeding edge so broken updates are inevitable.
But problems which can be detected in 2 days of testing must be avoided.
And even when this problems happen, they should be fixed (yes.. with a revert) in something like a day or two.

If we fail to do this, doing "yum update" will always be like playing Russian roulette with 5 of 6 bullets live.

P.S. Could everyone who had problems with the new ALSA, please, check this update and report the results here, so we can be sure it is fixed and close this report.
Comment 46 Michal Jaegermann 2009-01-21 17:08:52 EST
> Could everyone who had problems with the new ALSA, please, check this
> update and report the results here,

I was reporting in comment #39 and #40 and, as reported there, after trying
various mixer controls I got that to actually play.  For different reasons (selinux unhappy with ext4, bug 480432) I had to change a kernel on that machine to 2.6.27.12-170.2.2.fc10.i686.  That still had "new ALSA" and I still had a sound but levels went clearly down with the same mixer settings.

A machine rebooted with 2.6.27.12-170.2.5.fc10.i686 came back with speakers muted.  It turned out that a volume control has now a different set of sliders and "Master" was down to 0.  Pushing it up helped a bit but not that much until
I maxed out a new control "Front" which came somewhere in the middle.  Now I can get a sound as loud as never before.

Skype does work too but not with "Default" (skype) sound devices - whatever that may mean.
Comment 47 Nick 2009-01-21 17:12:43 EST
Tested fix for Dell Latitude D630 using STAC92xx, verified headphone jack and internal speakers both work fine.

Is this fix going to be ported into F9 also?  If so, I can test one more machine.
Comment 48 Jason Farrell 2009-01-21 17:21:31 EST
Good news - sound has indeed returned with the -170 kernel.

Re: Comment #46: Had to nudge the Front mixer up as well to get an acceptable max master volume, but it's standard practice to have to putz with the mixer.

Would be nice to see this kernel in the updates repo sooner rather than later (and for those who'd rather not also have to rebuild rpmfusion's nvidia and wl (broadcom) (a)kmods.)
Comment 49 Douglas E. Warner 2009-01-21 17:23:19 EST
$ uname -r
2.6.27.12-170.2.5.fc10.x86_64

Sound works for me the same as it did in kernel-2.6.27.7-134.fc10.x86_64.
Comment 50 Matthias R. Wiora 2009-01-21 17:55:21 EST
Publish it!

$ cat /proc/version
Linux version 2.6.27.12-170.2.5.fc10.i686.PAE (mockbuild@x86-4.fedora.phx.redhat.com) (gcc version 4.3.2 20081105 (Red Hat 4.3.2-7) (GCC) ) #1 SMP Wed Jan 21 01:54:56 EST 2009


Sound works! Better than before!
µatthias
Comment 51 Kirk Harrison 2009-01-21 22:55:01 EST
RE:(Comment #30)

Updated using:
* kernel-2.6.27.12-170.2.5.fc10.x86_64.rpm
* kernel-devel-2.6.27.12-170.2.5.fc10.x86_64.rpm
* kernel-firmware-2.6.27.12-170.2.5.fc10.noarch.rpm

Sound works GREAT again! Fully functional with both speakers and headphones.
THANKS!
Comment 52 Adrin Jalali 2009-01-22 01:30:20 EST
tested in Dell Inspiron 6400, works well :)
Comment 53 Adrin Jalali 2009-01-22 01:31:04 EST
by the way I think the status of this bug is no longer NEW ;)
Comment 54 Marcela Mašláňová 2009-01-22 05:30:38 EST
uname -a
Linux caladan.englab.brq.redhat.com 2.6.27.12-170.2.5.fc10.x86_64 #1 SMP Wed Jan 21 01:33:24 EST 2009 x86_64 x86_64 x86_64 GNU/Linux

Sound is back. Kernel isn't in updates yet:
https://admin.fedoraproject.org/updates/kernel-2.6.27.12-170.2.5.fc10
Comment 55 Alexandre Silva Lopes 2009-01-22 06:21:59 EST
Tested on a Dell Latitude D830, restores sound! No problems found.
Comment 56 Tarjei Knapstad 2009-01-22 09:38:25 EST
Confirmed working on Dell Precision M65 (SigmaTel STAC9200, kernel-2.6.27.12-170.2.5.fc10.i686)

And I wholeheartedly support Suren's comment #45
Comment 57 H.J. Lu 2009-01-22 12:41:12 EST
(In reply to comment #46)
> 
> Skype does work too but not with "Default" (skype) sound devices - whatever
> that may mean.

What do I need to do to get Skype to work? I tried Skype under
kernel-2.6.27.7-134.fc10.x86_64. I couldn't get speaker nor
microphone to work. Thanks.
Comment 58 Matthias R. Wiora 2009-01-22 13:13:07 EST
damn...

Sound works great on my latitude 830... But now I have networking issues with the new kernel... I'll report.

The Networkconnection is being lost sometimes...
Anyone else by the way?
pmb µatthias
Comment 59 Adrin Jalali 2009-01-22 13:33:02 EST
after working for several hours with my Inspiron 6400, no network problem neither with eth nor with wlan occured :)
Comment 60 Michal Jaegermann 2009-01-22 19:27:26 EST
Re: comment #57
> What do I need to do to get Skype to work?

At least this what _I_ did on a machine running F10 and with snd_hda_intel and 2.6.27.12-170.2.5.fc10 kernel.

On a "Volume Control" for "HDA Intel" device I unmuted and pushed up "Front Mic" (and "Master", "PCM" and "Front" sliders too).  There is also "Front Mic Boost"
but if you want it you have pick it up in "Preferences".

In Skype options (Ctrl-O) under "Sound Devices" I set all "Sound In", "Sound Out"
and "Ringing" to "HDA Intel(hw:Intel,0)" which is one of menu choices.  I did not  check every possibility but I know that with "Default device" or "pulse" in those places I was getting nowhere.

After that it just worked.
Comment 61 Nicolas A. Barriga 2009-01-23 11:57:32 EST
2.6.27.12-170.2.5.fc10.x86_64 doesn't fix audio in my HP dv7. And also now I don't have wireless...
Comment 62 Suren Karapetyan 2009-01-23 12:19:09 EST
(In reply to comment #61)
> 2.6.27.12-170.2.5.fc10.x86_64 doesn't fix audio in my HP dv7. And also now I
> don't have wireless...

Did sound work with kernel-2.6.27.7-134?
Comment 63 Nicolas A. Barriga 2009-01-23 12:29:10 EST
Never had that kernel. I just switched last week to fedora 10 and 2.6.27.9-159.fc10.x86_64 was the current kernel. Looking at the changelog for alsa 1.0.19 my card wasn't supported before, so I guess I'll just have to wait.

Also, in the docs for alsa 1.0.19 I see now an option for HP dv laptops:

STAC92HD71B*
============
  ref           Reference board
  dell-m4-1     Dell desktops
  dell-m4-2     Dell desktops
  dell-m4-3     Dell desktops
  hp-m4         HP dv laptops


Currently I'm more worried about losing wifi support. I filed bug #481351
Comment 64 Nicolas A. Barriga 2009-01-23 13:45:03 EST
Please disregard my wifi comments. It was my mistake, sorry about the noise.
Comment 65 Jörg Prante 2009-01-23 15:06:43 EST
I am quite confused about #43 with a kernel announcement dated from Jan 21.
ChangeLog: "Reverts ALSA driver to the version that is upstream in kernel 2.6.27."

But there is a new Alsa release 1.0.19 available since Jan 19.

It is possible that 1.0.19 contains fixes related to this bug. In #20 I gave a hint that the Alsa team shall be notified that a new Alsa release is needed.

So my question is, will there be a kernel update to Alsa 1.0.19, and when?
Comment 66 Suren Karapetyan 2009-01-23 15:27:13 EST
(In reply to comment #65)
> I am quite confused about #43 with a kernel announcement dated from Jan 21.
> ChangeLog: "Reverts ALSA driver to the version that is upstream in kernel
> 2.6.27."
> 
> But there is a new Alsa release 1.0.19 available since Jan 19.
> 
> It is possible that 1.0.19 contains fixes related to this bug. In #20 I gave a
> hint that the Alsa team shall be notified that a new Alsa release is needed.
> 
> So my question is, will there be a kernel update to Alsa 1.0.19, and when?

It looks like kernel.org is using something between 1.0.17 and 1.0.18.
It's already a few months since 1.0.18a is released, but kernel.org didn't update to it, and as we've seen they were right.

I'm sure that in a month or two 1.0.19 will become stable enough for both: kernel.org and fedora to update to it.
Comment 67 Kirk Harrison 2009-01-23 16:56:17 EST
The system (Dell Precision M6300, Fedora-10) was "upgraded" from Fedora-9. I usually do clean installs, but wanted to, in the interest of saving time, try the upgrade this time around.

I did a fresh install (plus updates) prior to this fix of Fedora-10 on another Dell platform (not an M6300) and did not experience problems with the audio.

Just curious if anyone who experienced this problem was working with a clean install or Fedora-10 or was it limited to upgrades?
Comment 68 Suren Karapetyan 2009-01-23 18:03:21 EST
(In reply to comment #67)
> The system (Dell Precision M6300, Fedora-10) was "upgraded" from Fedora-9. I
> usually do clean installs, but wanted to, in the interest of saving time, try
> the upgrade this time around.
> 
> I did a fresh install (plus updates) prior to this fix of Fedora-10 on another
> Dell platform (not an M6300) and did not experience problems with the audio.
> 
> Just curious if anyone who experienced this problem was working with a clean
> install or Fedora-10 or was it limited to upgrades?


In my case it was a clean install.
And I'm sure it wasn't related to install type.
It was just a bug in the alsa driver in kernel.

Anyway, it's resolved and I think this can be closed now as soon as 2.6.27.12-170.2.5.fc10.x86_64 is pushed into updates.
Comment 69 Fedora Update System 2009-01-23 21:40:27 EST
kernel-2.6.27.12-170.2.5.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0923
Comment 70 Henry 2009-01-24 10:35:14 EST
Sound restored on my Sony Vaio VGN-NR21z runing F10. However this is only on the built-in speakers. Headphones still dont work.
Comment 71 ruslan 2009-01-24 14:25:50 EST
(In reply to comment #14)
> have F8, which is updated to F9, which is updated to rawhide, updated to F10.
> Use the kernel 2.6.27.7-134.fc10.i686: the sound was (using PA). Updated kernel
> before 2.6.27.9-159.fc10.i686 - and now no sound

2.6.27.12-170 Sound restored on my intel chipset. Pulseaudio is work.
Comment 72 Suren Karapetyan 2009-01-24 15:45:26 EST
(In reply to comment #70)
> Sound restored on my Sony Vaio VGN-NR21z runing F10. However this is only on
> the built-in speakers. Headphones still dont work.

Did they work with 2.6.27.7-134.fc10?
Comment 73 Ben Konrath 2009-01-24 20:06:14 EST
*** Bug 480998 has been marked as a duplicate of this bug. ***
Comment 74 Henry 2009-01-25 05:03:16 EST
(In reply to comment #72)
> (In reply to comment #70)
> > Sound restored on my Sony Vaio VGN-NR21z runing F10. However this is only on
> > the built-in speakers. Headphones still dont work.
> 
> Did they work with 2.6.27.7-134.fc10?

No, headphones have never worked for me on the laptop with Fedora 10 x86_64 (including kernels 2.6.27.5-117, 2.6.27.7-134!). Works on windows Vista, so not a problem with my hardware. And works with F9.
Comment 75 Paul Mellors 2009-01-26 04:16:57 EST
I concur with this, the sound works great with the 170 kernel, but the speakers are not muted when the headphones are attached.

I had a similar issue with ubuntu and could add the line to alsa-base

options snd-hda-intel model=dell-m6

Is there an equivalent for fedora 10?
Comment 76 Paul Mellors 2009-01-26 04:18:33 EST
sorry should have mentioned i have a Dell Studio 17 laptop
Comment 77 Nick 2009-01-26 13:25:59 EST
(In reply to comment #75)
> I concur with this, the sound works great with the 170 kernel, but the speakers
> are not muted when the headphones are attached.
> 
> I had a similar issue with ubuntu and could add the line to alsa-base
> 
> options snd-hda-intel model=dell-m6
> 
> Is there an equivalent for fedora 10?

Yes.  You can do this one of two ways:  

1) Add that line to /etc/modprobe.conf
2) put that line into a new file and drop it into /etc/modprobe.d/ with a filename like "soundfix" or something to that effect.

Cheers!
Comment 78 Fedora Update System 2009-01-26 20:48:01 EST
kernel-2.6.27.12-170.2.5.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 79 Aditya Kadambi 2009-01-27 14:56:57 EST
Well, no surprises. It still doesn't work for me. Same dmesg. This hasn't worked for my card in MONTHS! and the moronic developers don't care despite repeated pleas.

DMESG

ALSA sound/core/pcm_native.c:2046: snd_pcm_hw_constraints_complete failed
ALSA sound/core/pcm_native.c:1940: BUG? (err >= 0)
Pid: 2678, comm: pulseaudio Not tainted 2.6.27.12-170.2.5.fc10.x86_64 #1

Call Trace:
 [<ffffffffa015751f>] snd_pcm_hw_constraints_complete+0xc2/0x2bc [snd_pcm]
 [<ffffffffa015778b>] snd_pcm_open_substream+0x72/0xb3 [snd_pcm]
 [<ffffffffa0157890>] snd_pcm_open+0xc4/0x1cb [snd_pcm]
 [<ffffffff8103a651>] ? default_wake_function+0x0/0xf
 [<ffffffffa01579c6>] snd_pcm_capture_open+0x2f/0x34 [snd_pcm]
 [<ffffffffa01145f5>] snd_open+0xe7/0x156 [snd]
 [<ffffffff810c2d6d>] chrdev_open+0x14a/0x169
 [<ffffffff810c2c23>] ? chrdev_open+0x0/0x169
 [<ffffffff810beb9a>] __dentry_open+0x13a/0x249
 [<ffffffff810bed5f>] nameidata_to_filp+0x2e/0x40
 [<ffffffff810ca0c3>] do_filp_open+0x3e4/0x7db
 [<ffffffff81031083>] ? need_resched+0x1e/0x28
 [<ffffffff8133196a>] ? _cond_resched+0x9/0x38
 [<ffffffff8116e314>] ? __strncpy_from_user+0x2c/0x53
 [<ffffffff810d4c79>] ? alloc_fd+0x110/0x123
 [<ffffffff810be9a3>] do_sys_open+0x53/0xd3
 [<ffffffff810bea4c>] sys_open+0x1b/0x1d
 [<ffffffff8101024a>] system_call_fastpath+0x16/0x1b

ALSA sound/core/pcm_native.c:2046: snd_pcm_hw_constraints_complete failed
Comment 80 Brandon 2009-01-27 15:02:38 EST
i am still only getting sound with the -134 kernel and I have an audigy 2 zg
Comment 81 Christopher Stone 2009-01-28 01:13:34 EST
Sound still does not work with 2.6.27.12-170.2.5.fc10.x86_64
05:06.0 Multimedia audio controller: Creative Labs SB Audigy (rev 04)
Comment 82 Nils Philippsen 2009-01-28 06:42:02 EST
(In reply to comment #79)
> Well, no surprises. It still doesn't work for me. Same dmesg.

I thought your problem is bug #475251, not this one. Why do you post comments that aren't related to the issue at hand in this bug?

> This hasn't
> worked for my card in MONTHS! and the moronic developers don't care despite
> repeated pleas.

There are only so much hours in a day, even for developers. Your lack of manners surely doesn't help either: If said bug where assigned to me, I wouldn't raise a finger, given your lack of restraint in the comments.
Comment 83 Aditya Kadambi 2009-01-28 10:34:00 EST
(In reply to comment #82)
> (In reply to comment #79)
> > Well, no surprises. It still doesn't work for me. Same dmesg.
> 
> I thought your problem is bug #475251, not this one. Why do you post comments
> that aren't related to the issue at hand in this bug?
> 
> > This hasn't
> > worked for my card in MONTHS! and the moronic developers don't care despite
> > repeated pleas.
> 
> There are only so much hours in a day, even for developers. Your lack of
> manners surely doesn't help either: If said bug where assigned to me, I
> wouldn't raise a finger, given your lack of restraint in the comments.

I offer unqualified apology for the rant. Very sorry.
Comment 84 Brandon 2009-01-28 14:23:43 EST
The lasted kernel release for Rawhide restores my sound but I loose 3d video. I have looked at upgrading kmod-nvidia. no success there


here is the kernel version 2.6.29-0.53.rc2.git1.fc11.686
Comment 85 Brandon 2009-01-28 14:24:29 EST
2.6.27-134 has working sound I wish I could find an rpm to install it.
Comment 86 Brandon 2009-01-28 14:38:15 EST
Comment #83 From  Aditya Kadambi (rakadambi@gmail.com)  2009-01-28 10:34:00 EDT   (-) [reply] -------

(In reply to comment #82)
> (In reply to comment #79)
> > Well, no surprises. It still doesn't work for me. Same dmesg.
> 
> I thought your problem is bug #475251, not this one. Why do you post comments
> that aren't related to the issue at hand in this bug?
> 
> > This hasn't
> > worked for my card in MONTHS! and the moronic developers don't care despite
> > repeated pleas.
> 
> There are only so much hours in a day, even for developers. Your lack of
> manners surely doesn't help either: If said bug where assigned to me, I
> wouldn't raise a finger, given your lack of restraint in the comments.

I offer unqualified apology for the rant. Very sorry.


I can understand his frustration. I had studied some C programing. I do know what works on one system does not work on others. I think Fedora should test it's kernels more before they release them to the stable repository. From what I see they go from the Rawhide to the stable. Why don't they do the following transition Rawhide to updates-testing to updates and let the transition time be a little bit long with the kernel.
Comment 87 Brandon 2009-01-28 14:43:01 EST
I could be wrong on how fedora releases it kernels but they need to be more careful on what they release and how they release it and they need to test it longer most defiantly.

but i do have sound working with 2.6.29-0.53.rc2.git1.fc11.686 minus 3d video....


i had sound working with 2.6.27-134 but the update deleted that kernel. I wish I could find that kernel somewhere
Comment 88 Aditya Kadambi 2009-01-28 14:55:40 EST
(In reply to comment #87)
> I could be wrong on how fedora releases it kernels but they need to be more
> careful on what they release and how they release it and they need to test it
> longer most defiantly.
> 
> but i do have sound working with 2.6.29-0.53.rc2.git1.fc11.686 minus 3d
> video....
> 
> 
> i had sound working with 2.6.27-134 but the update deleted that kernel. I wish
> I could find that kernel somewhere

I have 2.6.27-134 image still saved on my system. Let me know if I can send it to you offline.
Comment 89 Brandon 2009-01-28 14:59:19 EST
someone came up with this little phase out of their anger i guess they had no time on their hands. just wanted to share guys


Fedora
Endorsing
Destruction
Of
Redhat
Always
Comment 90 Brandon 2009-01-28 15:02:20 EST
Comment #88 From  Aditya Kadambi (rakadambi@gmail.com)  2009-01-28 14:55:40 EDT   (-) [reply] -------

(In reply to comment #87)
> I could be wrong on how fedora releases it kernels but they need to be more
> careful on what they release and how they release it and they need to test it
> longer most defiantly.
> 
> but i do have sound working with 2.6.29-0.53.rc2.git1.fc11.686 minus 3d
> video....
> 
> 
> i had sound working with 2.6.27-134 but the update deleted that kernel. I wish
> I could find that kernel somewhere

I have 2.6.27-134 image still saved on my system. Let me know if I can send it
to you offline.


if you could send that or point me to a link that would be very appreciated. Im stuck using Windoze Vista horror because of no sound.
Comment 91 Brandon 2009-01-28 15:03:59 EST
Comment #88 From  Aditya Kadambi (rakadambi@gmail.com)  2009-01-28 14:55:40 EDT   (-) [reply] -------

(In reply to comment #87)
> I could be wrong on how fedora releases it kernels but they need to be more
> careful on what they release and how they release it and they need to test it
> longer most defiantly.
> 
> but i do have sound working with 2.6.29-0.53.rc2.git1.fc11.686 minus 3d
> video....
> 
> 
> i had sound working with 2.6.27-134 but the update deleted that kernel. I wish
> I could find that kernel somewhere

I have 2.6.27-134 image still saved on my system. Let me know if I can send it
to you offline.


if you could send that or point me to a link that would be very appreciated. Im stuck using Windoze Vista horror because of no sound.
Comment 92 Aditya Kadambi 2009-01-28 15:10:14 EST
I forgot to mention. My kernel is X86_64. If yours is 686, sorry, can't help. May be somebody else still has old images?
Comment 93 Michal Jaegermann 2009-01-28 15:12:33 EST
Re: comment #87
> I wish I could find that kernel somewhere

http://koji.fedoraproject.org/koji/
and search for a package named "kernel".  Now you will find 2.6.27-134 likely further then the first page but it will be there.
Comment 94 Brandon 2009-01-28 15:14:58 EST
no only 2.26.27.7-134 appears which is not the same kernel
Comment 95 Brandon 2009-01-28 15:21:00 EST
does anyone think there is way to get 3d video working with 2.6.29-0.53.rc2.git1.fc11
Comment 96 Suren Karapetyan 2009-01-28 15:52:39 EST
(In reply to comment #95)
> does anyone think there is way to get 3d video working with
> 2.6.29-0.53.rc2.git1.fc11

Maybe we should all stop using this thread as a chat.
Doing so creates a lot of noise and makes everyone (who may be interested in the future of this bug) remove themselves from CC list.

In case of closed drivers, reporting them here won't do any good.
You can either fix them yourself or wait until someone comes with a fix.

Or take the older kernel from: http://koji.fedoraproject.org/koji/packageinfo?packageID=8
Comment 97 Samuel Audet 2009-01-28 23:50:07 EST
kernel-2.6.27.12-170.2.5.fc10.x86_64 works for me too... the ALSA driver was reverted to what was in 2.6.27.7-134, so if you have problems with .12 but not .7, make sure you fiddled with all mixer controls: They are all reset on new driver update. Also, alsa-lib was updated to 1.0.19 recently. That might be the cause of problems for some as well, but this would be a different bug
Comment 98 Gilboa Davara 2009-01-29 02:57:35 EST
Audigy 2 ZS.
No sound in both -170 and -159.
As others, -134 works just fine.

Reopening bug.

- Gilboa
Comment 99 Christopher Tubbs 2009-01-29 03:24:29 EST
(In reply to comment #98)
> Audigy 2 ZS.
> No sound in both -170 and -159.
> As others, -134 works just fine.
> 
> Reopening bug.
> 
> - Gilboa

Others have stated that installing -170 resets the mixer settings. Have you tried adjusting those? From what I understand -170 reverts to the same version of the ALSA driver that was in -134, so perhaps it's the mixer, or it must be a different bug?
Comment 100 Adam 2009-01-29 04:21:01 EST
Well, I waited for the 2.6.27.12-170.2.5.fc10.i686 update to get pushed as I use the proprietary NVidia drivers as well.

I am pleased to say that the sound was instantly restored on my Dell D620. I do agree with other comments on this bug though, that regression testing of Kernels does need to be looked at but that's not a topic for here.
Comment 101 Nils Philippsen 2009-01-29 04:56:12 EST
Direct link to kernel-2.6.27.7-134.fc10 packages for those who need it:

https://koji.fedoraproject.org/koji/buildinfo?buildID=72767
Comment 102 Gilboa Davara 2009-01-29 04:59:24 EST
I tried playing around with the different mixers (using alsamixer)... and nothing seemed to work.

Never the less, I'll try it again - just in case.

- Gibloa
Comment 103 Brandon 2009-01-29 09:15:46 EST
I wrote kernel.org bugzilla and this answer came to me and it works!


> ------- Comment #2 from tiwai@suse.de 2009-01-28 23:20 -------
> Turn *OFF* 'Audigy Analog/Digital Output Jack' mixer switch if it's on.
> This was wrongly implemented in the earlier version and it was fixed recently
> to the correct logic.
>
>
> --
> Configure bugmail: http://bugzilla.kernel.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You are on the CC list for the bug, or are watching someone who is.
> You reported the bug, or are watching the reporter.
Comment 104 Roderick Johnstone 2009-01-29 10:01:57 EST
I'm seeing this same problem with no sound in kernel 2.6.27.12.170.2.5 on
x86_64.

I tried turning *OFF* 'Audigy Analog/Digital Output Jack' mixer switch as
suggested in comment #103, using kmix, and the problem persists.

If I boot back to the 2.6.27.9-159.fc10 kernel the sound works fine.

Sound card is:

00:0a.0 Multimedia audio controller: Creative Labs SB0400 Audigy2 Value
Comment 105 Brandon 2009-01-29 12:42:33 EST
I did that in gnome
Comment 106 Roderick Johnstone 2009-01-30 09:11:31 EST
I resolved this issue by setting:

'IEC958 Optical Raw' to Muted
'Audigy Analog/Digital Output Jack' to unmuted

It all works now with the 2.6.27.12.170.2.5 kernel.
Comment 107 Brandon 2009-01-30 09:42:18 EST
 
--- Comment #6 from Roderick Johnstone <rmj@ast.cam.ac.uk>  2009-01-30 09:13:15 EDT ---
I resolved the issue in #5 by setting:
 
'IEC958 Optical Raw' to Muted
'Audigy Analog/Digital Output Jack' to unmuted
 
It all works now with the 2.6.27.12.170.2.5 kernel.
Comment 108 Christopher Stone 2009-01-31 12:43:55 EST
(In reply to comment #106)
> I resolved this issue by setting:
> 
> 'IEC958 Optical Raw' to Muted
> 'Audigy Analog/Digital Output Jack' to unmuted
> 
> It all works now with the 2.6.27.12.170.2.5 kernel.

I can confirm, unmuting Audigy Analog/Digital Output Jack fixes sound for me with 2.6.27.12-170.2.5.fc10.x86_64
Comment 109 Christoph Walter 2009-02-02 07:25:36 EST
(In reply to comment #42)

It's working now with kernel:

# uname -r 
2.6.27.12-170.2.5.fc10.i686.PAE
Comment 110 Gilboa Davara 2009-02-10 13:45:08 EST
Following the advice in #104, I disabled the "Audigy Analog/Digital Output Jack" and I now have sound.

Thanks!

- Gilboa
Comment 111 Luke Warm 2009-02-13 00:28:54 EST
How do you disable "Audigy Analog/Digital Output Jack"? I tried checking in the gnome sound options and kmix, but couldn't find any such option.. My headphones weren't working even with the -134 kernel. Is there any change I have to do? Like unmute something? 

My "lspci | grep -i audio" results are:
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 04)
01:00.1 Audio device: ATI Technologies Inc RV620 Audio device [Radeon HD 34xx Series]

I have muted IEC958. (That option is there under the "HDA ATI HDMI" tab in kmix)

The options in kmix that are muted right now are: analog loopback 1/2/3. I'm using a Dell Studio 1535.

This is a screen shot of my kmix:
[url=http://img291.imageshack.us/my.php?image=kmixek6.png][img=http://img291.imageshack.us/img291/4872/kmixek6.th.png][/url]
Comment 112 Luke Warm 2009-02-13 00:40:21 EST
Sorry for the broken link.. this is the screenshot:
http://i42.tinypic.com/206omz7.png
Comment 113 Gilboa Davara 2009-02-13 02:12:53 EST
(In reply to comment #111)
> How do you disable "Audigy Analog/Digital Output Jack"? I tried checking in the
> gnome sound options and kmix, but couldn't find any such option.. My headphones
> weren't working even with the -134 kernel. Is there any change I have to do?
> Like unmute something? 
> 

The "Audigy Analog/Digital Output Jack" can only be controlled on Creative Labs Audigy cards.

- Gilboa
Comment 114 Samuel Audet 2009-02-13 02:23:23 EST
https://bugzilla.redhat.com/show_bug.cgi?id=477911(In reply to comment #112)
> Sorry for the broken link.. this is the screenshot:
> http://i42.tinypic.com/206omz7.png

You could try to install the latest version of the ALSA driver.. do similar as I detailed here using the latest versions: 
https://bugzilla.redhat.com/show_bug.cgi?id=477911

The new versions changed a lot of mixer stuff.. For most people, this causes problems, as you can see from this thread, but it might fix your problem.
Comment 115 Luke Warm 2009-02-14 05:38:12 EST
(In reply to comment #114)
Thanks a lot Samuel! I followed your instructions and it works like a charm! The only quirk is when I plug-in the headphones, I have to manually mute the pc-speakers.. But that's not a big deal..

After following Samuel Audet's instructions, I was able to work my headphones on a Dell Studio 1535 with Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio, with kernel 2.6.27.12-170.2.5.fc10.i686.PAE.

Just reposting his instructions on this page:
Update to the latest alsa drivers
1) Go to http://ftp.kernel.org/pub/linux/kernel/people/tiwai/alsa/alsa-driver/ and find out what the latest driver is. For me it was alsa-driver-20090113.tar.bz2, but it changes quite often.. Notice the date at the end.
2) wget http://ftp.kernel.org/pub/linux/kernel/people/tiwai/alsa/alsa-driver/alsa-driver-*.tar.bz2, where '*' is replaced with your chosen driver.
3) Type these commands in terminal:
   $ tar -xjvf alsa-driver-*.tar.bz2
   $ cd alsa-driver
   $ ./configure --with-cards=hda-intel
   $ make
   $ su 
   # make install-modules
4) Reboot
Comment 116 Brandon 2009-02-15 08:51:21 EST
In reply to Comment 113: go to the upper left hand corner of your desktop and 

click the little speaker sound icon. click the tap switch and you will see it 

there... If you do not see the icon there you will need to do the following: 

Click the preference tab and a tabbed window will pop up saying Volume Control 

Preferences. You need to look for Analog/Digital Output Jack. Mine is an Audigy 

So mine says Audigy Analog/Digital Output Jack. Check it. After that go back to

the switches tab and there it is.
Comment 117 Brandon 2009-02-15 08:53:41 EST
I have a slight typo in...... Click the Tab switches... not the tap switch.. my apologies
Comment 118 Brandon 2009-02-15 08:56:58 EST
That is in Gnome Desktop I forgot to say that. I apologize  to everyone I am just waking up so i am a bit sluggish this morning.
Comment 119 Simo Sorce 2009-02-22 14:22:19 EST
(In reply to comment #110)
> Following the advice in #104, I disabled the "Audigy Analog/Digital Output
> Jack" and I now have sound.

Same here, disabling the switch actually made the card output sound again.
Comment 120 Matthias R. Wiora 2009-02-22 19:00:48 EST
as sad it is:
I can't get sound working furthermore with

$ lspci | grep audio
00:04.0 Multimedia audio controller: nVidia Corporation CK804 AC'97 Audio Controller (rev a2)

no configuration (mute/unmuted - 2,4,6,8 channels - Digital out on/off) does work

Not with Fedora 10 (actual release)... Not with Fedora 11 (Alpha)
µatthias
Comment 121 Adam Williamson 2009-02-23 12:48:11 EST
For the issue discussed in #104 / #119 - there are several different Audigy cards, and at present there are inconsistencies in how the analog / digital output switch is handled. On some cards having it ON gives digital and OFF (or muted) gives analog, on others it's the other way around.

ALSA is gradually working to make this consistent - so for all Audigy cards, ON will be digital and OFF will be analog. The drawback is as you guys observed - if you have one where it's currently the other way around, when you upgrade to a new ALSA in which this is 'fixed', you'll lose sound until you flip it. Unfortunately there's no way to avoid this.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 122 Bug Zapper 2009-11-18 02:44:33 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 123 Bug Zapper 2009-12-18 02:24:07 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.